import { EventEmitter } from '../../stencil.core';
export declare class StbModal {
    private backdrop;
    private isBodyOverflowing;
    private scrollbarWidth;
    private isTransitioning;
    private isVisible;
    body: HTMLElement;
    element: HTMLElement;
    onShow: EventEmitter;
    onHide: EventEmitter;
    keyboard?: boolean;
    options: any;
    ignoreBackdropClick: boolean;
    animation: {
        prefix: string;
        showDuration: string;
        show: string;
        hideDuration: string;
        hide: string;
    };
    documentBackDropClickHandler: any;
    componentWillLoad(): void;
    componentDidUnload(): void;
    toggle(relatedTarget: any): void;
    show(relatedTarget?: any): void;
    hide(reason?: any): void;
    private hideModal();
    escKey($event: any): void;
    private showElement();
    private showBackdrop(callback?);
    removeBackdrop(): void;
    resetAdjustments(): void;
    private adjustDialog();
    private checkScrollbar();
    private getScrollbarWidth();
    resetScrollbar(): void;
}
