export class StbCollapse {
    constructor() {
        this.body = document.body;
        this.disabled = false;
        this.type = ''; // btn-primary | btn-secondary
        this.active = false;
        this.activeClass = 'active';
        this.accordian = false;
    }
    toggle() {
        // this.isVisible = !this.isVisible;
        // return this.isVisible ? this.hide() : this.show()
    }
    componentDidLoad() {
        this.addListener();
    }
    addListener() {
        this.activeDiv = document.querySelector('.show');
        let collapse;
        collapse = this.element.querySelectorAll('[data-toggle="collapse"]');
        let i;
        for (i = 0; i < collapse.length; i++) {
            const collDiv = collapse[i];
            collDiv.classList.add('coll-div');
            let target;
            let divHeight;
            if (collDiv.getAttribute('data-target'))
                target = collapse[i].getAttribute('data-target');
            if (collDiv.getAttribute('href'))
                target = collapse[i].getAttribute('href');
            const collapsible = document.querySelector(target);
            collapsible.classList.add('collapsing');
            if (this.activeDiv) {
                collapsible.style.height = collapsible.children[0].offsetHeight + 'px';
            }
            collDiv.addEventListener("click", () => {
                if (collapsible.classList.contains('show')) {
                    // if (this.accordian && this.activeDiv) this.activeDiv = null;
                    collapsible.style.height = 0;
                    setTimeout(() => {
                        collapsible.classList.remove('show');
                    }, 500);
                }
                else {
                    if (this.accordian && this.activeDiv && this.activeDiv !== collapsible) {
                        console.log('active Div', this.activeDiv);
                        this.activeDiv.style.height = 0;
                        setTimeout(() => {
                            this.activeDiv.classList.remove('show');
                            this.activeDiv = collapsible;
                        }, 500);
                    }
                    collapsible.classList.add('show');
                    setTimeout(() => {
                        divHeight = collapsible.children[0].offsetHeight;
                        console.log('divHeight', divHeight);
                        collapsible.style.height = divHeight + 'px';
                    }, 50);
                }
            });
        }
    }
    show(index) {
        console.log('help', index);
        const collapsible = document.querySelector('#collapseExample');
        collapsible.classList.contains('show') ? collapsible.classList.remove('show') : collapsible.classList.add('show');
        console.log(collapsible);
    }
    hide() {
    }
    componentDidUnload() {
    }
    render() {
        return (h("div", null,
            h("slot", null)));
    }
    static get is() { return "stb-collapse"; }
    static get host() { return { "theme": "" }; }
    static get properties() { return { "accordian": { "type": Boolean, "attr": "accordian" }, "active": { "type": Boolean, "attr": "active" }, "activeClass": { "type": String, "attr": "active-class" }, "activeDiv": { "state": true }, "disabled": { "type": Boolean, "attr": "disabled" }, "element": { "elementRef": true }, "hide": { "method": true }, "show": { "method": true }, "toggle": { "method": true }, "type": { "type": String, "attr": "type" } }; }
    static get events() { return [{ "name": "showEvent", "method": "showEvent", "bubbles": true, "cancelable": true, "composed": true }, { "name": "hideEvent", "method": "hideEvent", "bubbles": true, "cancelable": true, "composed": true }]; }
    static get style() { return "/**style-placeholder:stb-collapse:**/"; }
}
