export class StbPageComponents {
    openModal() {
        const modal = document.querySelector('stb-modal');
        console.log(modal);
        modal.show();
    }
    closeModal() {
        const modal = document.querySelector('stb-modal');
        console.log(modal);
        modal.hide();
    }
    openLongModal() {
        const modal = document.querySelector('#long-modal');
        console.log(modal);
        modal.show();
    }
    closeLongModal() {
        const modal = document.querySelector('#long-modal');
        console.log(modal);
        modal.hide();
    }
    render() {
        return (h("div", { class: "pb-4" },
            h("h1", null, "Components"),
            h("br", null),
            h("br", null),
            h("stb-collapse", null,
                h("button", { class: "btn btn-primary", type: "button", "data-toggle": "collapse", "data-target": "#outsideBox", "aria-expanded": "false", "aria-controls": "collapseExample" }, "Button with outside collapsible")),
            h("br", null),
            h("br", null),
            h("stb-collapse", { accordian: false },
                h("div", null,
                    h("p", null,
                        h("button", { class: "btn btn-primary", type: "button", "data-toggle": "collapse", "data-target": "#collapseExample", role: "button", "aria-expanded": "false", "aria-controls": "collapseExample" }, "Link with href"),
                        h("button", { class: "btn btn-primary", type: "button", "data-toggle": "collapse", "data-target": "#collapseExample2", "aria-expanded": "false", "aria-controls": "collapseExample" }, "Button with data-target")),
                    h("div", { class: "collapse", id: "collapseExample" },
                        h("div", { class: "card card-body" }, "Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.")),
                    h("div", { class: "collapse", id: "collapseExample2" },
                        h("div", { class: "card card-body" }, "Anim2 pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.")))),
            h("br", null),
            h("br", null),
            h("div", { class: "collapse", id: "outsideBox" },
                h("div", { class: "card card-body" }, "Anim2 pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.")),
            h("stb-collapse", { accordian: true },
                h("div", { id: "accordion" },
                    h("div", { class: "card" },
                        h("div", { class: "card-header", id: "headingOne", "data-toggle": "collapse", "data-target": "#collapseOne" },
                            h("h5", { class: "mb-0" },
                                h("button", { class: "btn btn-link", "aria-expanded": "true", "aria-controls": "collapseOne" }, "Collapsible Group Item #1"))),
                        h("div", { id: "collapseOne", class: "collapse show", "aria-labelledby": "headingOne", "data-parent": "#accordion" },
                            h("div", { class: "card-body" }, "Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS."))),
                    h("div", { class: "card" },
                        h("div", { class: "card-header", id: "headingTwo", "data-toggle": "collapse", "data-target": "#collapseTwo" },
                            h("h5", { class: "mb-0" },
                                h("button", { class: "btn btn-link collapsed", "aria-expanded": "false", "aria-controls": "collapseTwo" }, "Collapsible Group Item #2"))),
                        h("div", { id: "collapseTwo", class: "collapse", "aria-labelledby": "headingTwo", "data-parent": "#accordion" },
                            h("div", { class: "card-body" }, "Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS."))),
                    h("div", { class: "card" },
                        h("div", { class: "card-header", id: "headingThree", "data-toggle": "collapse", "data-target": "#collapseThree" },
                            h("h5", { class: "mb-0" },
                                h("button", { class: "btn btn-link collapsed", "aria-expanded": "false", "aria-controls": "collapseThree" }, "Collapsible Group Item #3"))),
                        h("div", { id: "collapseThree", class: "collapse", "aria-labelledby": "headingThree", "data-parent": "#accordion" },
                            h("div", { class: "card-body" }, "Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident."))))),
            h("br", null),
            h("br", null),
            h("stb-card", null,
                h("div", { class: "card-body" },
                    h("h5", { class: "card-title" }, "Card Title"),
                    h("p", { class: "card-text" }, "Some quick example text to build on the card title and make up the bulk of the card's content."),
                    h("a", { href: "#", class: "btn btn-primary" }, "Go somewhere"))),
            h("br", null),
            h("br", null),
            h("h2", null, "Modals"),
            h("button", { class: "btn", onClick: this.openModal }, "Open Modal"),
            h("script", { async: true, src: "//jsfiddle.net/devengage/yw72Lmaa/15/embed/js/" }),
            h("button", { class: "btn mt-2", onClick: this.openLongModal }, "Open Long Modal"),
            h("stb-modal", null,
                h("div", { class: "modal-dialog", role: "document" },
                    h("div", { class: "modal-content" },
                        h("div", { class: "modal-header" },
                            h("h5", { class: "modal-title", id: "exampleModalLabel" }, "Modal title"),
                            h("button", { type: "button", class: "close", onClick: this.closeModal },
                                h("span", { "aria-hidden": "true" }, "\u00D7"))),
                        h("div", { class: "modal-body" }, "..."),
                        h("div", { class: "modal-footer" },
                            h("button", { type: "button", class: "btn btn-secondary", onClick: this.closeModal }, "Close"),
                            h("button", { type: "button", class: "btn btn-primary" }, "Save changes"))))),
            h("stb-modal", { id: "long-modal" },
                h("div", { class: "modal-dialog", role: "document" },
                    h("div", { class: "modal-content" },
                        h("div", { class: "modal-header" },
                            h("h5", { class: "modal-title", id: "exampleModalLabel" }, "Modal title 2"),
                            h("button", { type: "button", class: "close", onClick: this.closeLongModal },
                                h("span", { "aria-hidden": "true" }, "\u00D7"))),
                        h("div", { class: "modal-body" }, "Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla."),
                        h("div", { class: "modal-footer" },
                            h("button", { type: "button", class: "btn btn-secondary", onClick: this.closeLongModal }, "Close"),
                            h("button", { type: "button", class: "btn btn-primary" }, "Save changes"))))),
            h("br", null),
            h("br", null),
            h("stb-toggle", null,
                h("div", { class: "btn-group-toggle", "data-toggle": "buttons" },
                    h("label", { class: "btn btn-secondary active" },
                        h("input", { type: "checkbox", checked: true, autocomplete: "off" }),
                        " Checked"))),
            h("br", null),
            h("br", null),
            h("stb-toggle", { selected: 1 },
                h("div", { class: "btn-group btn-group-toggle", "data-toggle": "buttons" },
                    h("label", { class: "btn btn-secondary active" },
                        h("input", { type: "radio", name: "options", id: "option1", autocomplete: "off", checked: true }),
                        " Active"),
                    h("label", { class: "btn btn-secondary" },
                        h("input", { type: "radio", name: "options", id: "option2", autocomplete: "off" }),
                        " Radio"),
                    h("label", { class: "btn btn-secondary" },
                        h("input", { type: "radio", name: "options", id: "option3", autocomplete: "off" }),
                        " Radio"))),
            h("br", null),
            h("br", null),
            h("div", { class: "pt-5" },
                h("p", null, "this is the footer"))));
    }
    static get is() { return "stb-page-components"; }
    static get style() { return "/**style-placeholder:stb-page-components:**/"; }
}
