import { EventEmitter } from '../../stencil.core';
export declare const TOGGLE_CLASSES: {
    active: string;
    show: string;
    inactive: string;
};
export declare class StbNav {
    element: HTMLElement;
    onShow: EventEmitter;
    onHide: EventEmitter;
    selected: number;
    tabSelector: string;
    panelSelector: string;
    private listeners;
    private global;
    private buttonsElement;
    private panelsElement;
    componentWillLoad(): void;
    componentDidUnload(): void;
    getBtnElements(): void;
    getPanelElements(): void;
    elementClickHandler(element: any, index: any): void;
    addActiveClass(element: any): void;
    removeActiveClass(): void;
    showPanel(element: any): void;
    hidePanels(): void;
    toggle(): void;
    show(index?: number): void;
    hide(index?: number): void;
}
